import { Action } from '../domain/dtos/action.enum';
import { Domain } from '../domain/dtos/domain.enum';

export class DecisionQuery {
  readonly uuid: string;
  readonly domain: Domain;
  readonly action: Action;
  readonly context: Array<{ name: string; value: string }>;

  constructor(
    uuid: string,
    domain: Domain,
    action: Action,
    context?: Array<{ name: string; value: string }>,
  ) {
    this.uuid = uuid;
    this.domain = domain;
    this.action = action;
    this.context = context;
  }
}
